*{
  box-sizing: border-box;
}

body{
  margin: 0;
  color: white;
  overscroll-behavior: none;
}

a{
  text-decoration: none;
  color: white;
}

ul{
  list-style: none;
}
header{
  width:100%;
  height:100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  background-color: rgba(0,0,0,0.5);
  color: white;
  z-index:100;
}

.header-logo{
  width:300px;
}

.header-logo img{
  width:100%;
  object-fit: cover;
}

#myCanvas{
  position:absolute;
  width:500px;
  height:500px;
  top:calc(100vh - 350px);
  left:10px;
  transform-origin: left center;
}

.header-left{
  display: flex;
  z-index: 1;
}

.header-left ul{
  display: flex;
  justify-content: space-between;
  width:500px;
}

.header-left li{
  font-weight: bold;
  text-align: center;
}

.header-right{
  margin-right: 20px;
  z-index: 2;
}

.header-right a{
  line-height: 20px;
  font-weight: bold;
}

.header-right i{
  padding-right: 5px;
  font-size: 20px;
}

#hb-menu{
  display: none;
  position: relative;
  width:100px;
  height:100px;
  transition: all 0.5s;
}

#hb-menu span{
  position:absolute;
  display: inline-block;
  width:60%;
  border-top: 3px solid white;
  left:50%;
  transform: translateX(-50%);
  transition:0.5s;
  transform-origin: center center 0;
}

#hb-menu:hover{
  cursor: pointer;
}

#hb-menu span:nth-child(1){
  top:35%;
}

#hb-menu span:nth-child(2){
  top:50%;
}

#hb-menu span:nth-child(3){
  top:65%;
}

#bg-video{
  width:100%;
  height:100vh;
}

#bg-video video{
  position: fixed;
  top:0;
  z-index: -10;
  width: 100%;
  height:100%;
  object-fit: cover;
}

#sp-video{
  visibility: hidden;
}

#pick-up .back-gradation{
  background: linear-gradient(rgba(0,0,0,0), rgb(12, 12, 12,1));
}

.container{
  margin:0 auto;
  padding-left: 30px;
  padding-right: 30px;
  max-width:1366px;
}

.section-title{
  margin-top: 0;
  font-size: 45px;
  color: white;
  opacity: 0;
  transition:all 0.5s;
  transform: translateY(100px);
}

#pick-up{
  padding-top: 50px;
}


#pick-up-flex{
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  width: 100%;
}

.pick-up-content{
  position: relative;
  width:45%;
  color: white;
  margin-bottom: 100px;
  opacity: 0;
  transition:all 0.5s;
  transform: translateY(100px);
}

.pick-up-content a{
  position: absolute;
  top:0;
  left:0;
  width: 100%;
  height:100%;
}

.pick-up-content img{
  display: block;
  padding-bottom: 20px;
  width: 100%;
  object-fit: cover;
}

.pick-up-content h3::after{
  content: "";
  display: block;
  margin-top: 10px;
  width: 100%;
  height:1px;
  background-color: white;
}

.pick-up-content span::after{
  content:"NEWS";
  display: inline-block;
  position: relative;
  top:-2px;
  padding-left: 5px;
  padding-right: 5px;
  margin-left: 5px;
  background-color: #00ab00;
  color: white;
  font-size: 10px;
  line-height: 15px;
}


#works .back-gradation{
  padding-top: 50px;
  padding-bottom: 100px;
  background: rgb(12, 12, 12);
}

#works::after{
  content:"";
  display: block;
  width:100vw;
  height: 100px;
  background-color: #e50547;
  opacity: 0.5;
}

#works-flex{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 100%;
}

.works-content{
  width:30%;
  color: white;
  margin-bottom: 50px;
  opacity: 0;
  transition:all 0.5s;
  transform: translateY(100px);
}

.works-content a{
  position: absolute;
  top:0;
  left:0;
  width: 100%;
  height:100%;
}

.works-content img{
  display: block;
  width: 100%;
  object-fit: cover;
}

.works-content h3{
  font-size: 15px;
}

.works-content h3::after{
  content: "";
  display: block;
  margin-top: 10px;
  width: 100%;
  height:1px;
  background-color: white;
}

#about{
  position: relative;
  z-index: 5;
  color: white;
}

#about .back-gradation{
  padding-top: 100px;
  background: rgb(12, 12, 12);
}


#about-flex{
  display: flex;
  justify-content: space-between;
}

#about-flex ul{
  padding-left: 0;
}

#menu-container{
  width: 10%;
  min-width: 100px;
  max-width: 160px;
}

#about-menu a{
  display: inline-block;
  margin-bottom: 50px;
  width:100px;
  height:100px;
  transition: all 0.5s;
  opacity: 0.5;
  z-index: 5;
}

.focus{
  transform: translateX(30px);
}

#about-menu img{
  width: 100%;
  height:100%;
  object-fit: cover;
}

#about-content-flex{
  width: 80%;
  max-width: 1200px;
}

.about-img{
  margin-right: 20px;
  margin-left: auto;
  width:70%;
}

.about-img img{
  width:100%;
  object-fit: cover;
}

.about-text{
  position: relative;
  padding-bottom: 200px;
}

.about-content{
  scale: 0.5;
  opacity: 0;
  transition:all 0.5s;
}


.about-content:last-child .about-text{
  padding-bottom: 0;
}


.about-text h2::before{
  content: "";
  position: absolute;
  left:0;
  display: inline-block;
  width:100px;
  height:100px;
  background-size: contain;
}

.about-content:nth-of-type(1) h2::before{
  background-image: url("ICC_img/about-icon1.png");
}

.about-content:nth-of-type(2) h2::before{
  background-image: url("ICC_img/about-icon2.png");
}

.about-content:nth-of-type(3) h2::before{
  background-image: url("ICC_img/about-icon3.png");
}


.about-text h2{
  margin-left: 120px;
  margin-bottom: 0;
  font-size: 45px;
}

.about-text h3{
  margin-left: 120px;
  margin-top: 0;
  font-weight: normal;
  font-size: 25px;
}

#access{
  position: relative;
  z-index: 10;
}

#access .back-gradation{
  padding-top: 200px;
  padding-bottom: 100px;
  background: rgb(12, 12, 12);
}

#map{
  width: 100%;
  height: 500px;
}

#map iframe{
  width: 100%;
  height:100%;
}

#address{
  position: relative;
  padding-top: 20px;
  padding-left: 30px;
  margin: 0 auto;
  max-width:1366px;
}

#address p{
  font-size: 15px;
  line-height: 30px;
}

#address p:last-child{
  text-align: center;
  font-size: 15px;
  line-height: 40px;
}

.to-top{
  position: absolute;
  padding-top: 50px;
  width:100px;
  right:20px;
  bottom:20px;
  text-align: center;
  transition: all 0.3s;
}

.to-top:hover{
  padding-top: 55px;
}

.to-top::before{
  content: "";
  position:absolute;
  top:0;
  right:50px;
  width:50px;
  height: 1px;
  background-color: white;
  transform-origin:100% 50% 0;
  transform: rotate(-45deg);
}

.to-top::after{
  content: "";
  position:absolute;
  top:0;
  left:50px;
  width:50px;
  height: 1px;
  background-color: white;
  transform-origin:0 50% 0;
  transform: rotate(45deg);
}

footer{
  position: relative;
  background-color: #3a3a3a;
  z-index:101;
}

#footer-flex{
  display: flex;
  justify-content: space-between;
  padding-left: 30px;
}

#footer-left{
  display: flex;
  flex-direction: column;
  width:500px;
}

.footer-name{
  display: flex;
  align-items: center;
  gap:20px;
  width:100%;
}

.footer-name h2{
  font-weight: normal;
}

.footer-logo{
  position: relative;
  left:-10px;
  width:250px;
}

.footer-logo img{
  width: 100%;
  object-fit: cover;
}

#footer-left ul{
  display: flex;
  justify-content: space-between;
  padding-left: 0;
  font-weight: bold;
  font-size: 15px;
}

#footer-right{
  padding-right: 20px;
}

#footer-right i{
  padding-right: 5px;
}

#footer-right ul{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  margin: 0;
  height:100%;
}

.copyright {
  width: 100%;
  background-color: black;
}

.copyright p{
  margin-bottom: 0;
  line-height: 50px;
  text-align: center;
}







